<?php 
/*adding sections for color Option*/
    $wp_customize->add_section( 'shree-color-option', array(

        'priority'       => 15,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Color Options', 'shree' ),
        'panel'          => 'shree_panel',
    ) );

    /*Default Color Option */
    $wp_customize->add_setting( 'shree_theme_options[shree-default-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-default-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-default-color', array(
        'label'       => __( 'Primary Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-default-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Site title and Tagline Color Option */
    $wp_customize->add_setting( 'shree_theme_options[shree-title-tagline-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-title-tagline-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-title-tagline-color', array(
        'label'       => __( 'Site Title Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-title-tagline-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );
    /*Site Tagline Color Option */
    $wp_customize->add_setting( 'shree_theme_options[shree-tagline-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-tagline-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-tagline-color', array(
        'label'       => __( 'Site Tagline Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-tagline-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Menu Text Color Option */
    $wp_customize->add_setting( 'shree_theme_options[shree-menu-text-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-menu-text-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-menu-text-color', array(
        'label'       => __( 'Menu Text Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-menu-text-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Menu Text Hover Color Option */
    $wp_customize->add_setting( 'shree_theme_options[shree-menu-text-hover-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-menu-text-hover-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-menu-text-hover-color', array(
        'label'       => __( 'Menu Text Hover Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-menu-text-hover-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Read More Button Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-menu-read-more-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-menu-read-more-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-menu-read-more-color', array(
        'label'       => __( 'Read More Button Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-menu-read-more-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Read More Button Hover Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-menu-read-more-hover-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-menu-read-more-hover-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-menu-read-more-hover-color', array(
        'label'       => __( 'Read More Button Hover Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-menu-read-more-hover-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Top Footer Background Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-footer-top-bg-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-footer-top-bg-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-footer-top-bg-color', array(
        'label'       => __( 'Footer Top Background Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-footer-top-bg-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );


    /*Footer Background Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-footer-bacckground-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-footer-bacckground-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-footer-bacckground-color', array(
        'label'       => __( 'Footer Buttom Background Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-footer-bacckground-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Link Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-link-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-link-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-link-color', array(
        'label'       => __( 'Link Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-link-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Link Hover Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-link-hover-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-link-hover-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-link-hover-color', array(
        'label'       => __( 'Link Hover Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-link-hover-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );

    /*Go to Top Color */
    $wp_customize->add_setting( 'shree_theme_options[shree-link-go-to-top-color]', array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['shree-link-go-to-top-color'],
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    $wp_customize->add_control( 'shree-link-go-to-top-color', array(
        'label'       => __( 'Go to Top Color', 'shree' ),
        'section'     => 'shree-color-option',
        'settings'    => 'shree_theme_options[shree-link-go-to-top-color]',
        'type'        => 'color',
        'priority'    => 10,
    ) );