<?php 
/**
* Header Types 1
*/
global $shree_theme_options;
	$shree_header_disable = $shree_theme_options['shree-header-disable'];
	/**
	 * Hook - shree_header_section.
	 *
	 * @hooked shree_header_section_action - 10
	 */
	if($shree_header_disable == 1 ){ 
	 do_action( 'shree_header_section_action' );
	}
?>

	<div class="header-one">
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<div class="logo-header-inner">
			                   <?php
			                      if (has_custom_logo()) { ?>
			                   
			                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"> 
			                    	<?php  the_custom_logo();?>
			                    </a>
			                  <?php } 
			                  	else {
			                  ?>  
			                    <div class="togo-text">
			                    	<?php
									if ( is_front_page() && is_home() ) : ?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php
									endif;
									$description = get_bloginfo( 'description', 'display' );
									if ( $description || is_customize_preview() ) : ?>
										<p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
										<?php
									endif; ?>
			                    </div>
			                 <?php } ?>   
					</div>
				</div>
				<div class="col-sm-12">
					<div class="advertise-area">
						<div class="advertise-img">
							<?php 
							global $shree_theme_options;
							$shree_header_ads = $shree_theme_options['shree-header-main-banner-ads'];
							$shree_header_ads_link =  $shree_theme_options['shree-header-main-banner-ads-link'];
							?>
							<?php if(!empty($shree_header_ads)) { ?>
							<a href="<?php echo esc_url($shree_header_ads_link);?>"><img src="<?php echo esc_url($shree_header_ads); ?>" class="img-fluid" alt="advertise"></a>
							<?php } ?>
						</div>
                        <div class="advertise-img adds">
                                <?php 
                                global $shree_theme_options;
                                $shree_header_main_google_ads =  $shree_theme_options['shree-header-main-google-ads'];
                                ?>
                                <?php if(!empty( $shree_header_main_google_ads )) { ?>
                                <p><?php echo $shree_header_main_google_ads; ?> </p>
                            <?php } ?>
                        </div>
					</div>
				</div>
			</div>
		</div>
		<!-- Main Menu -->
        <nav class="main-menu">
    		<div class="container">	
    			<div class="row">
	    			<div class="col-xl-10 col-lg-10">
		            	<div class="navbar-header">
		                    <!-- Toggle Button -->    	
		                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
		                    	<span class="sr-only"><?php _e('Toggle navigation', 'shree');?></span>
		                        <span class="icon-bar"></span>
		                        <span class="icon-bar"></span>
		                        <span class="icon-bar"></span>
		                    </button>
		                </div>
		                <div class="navbar-collapse collapse clearfix">
		                	<div class="text-left">
								<?php 
									if ( has_nav_menu('primary'))
										{
											wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'navigation' ) ); 
										}
									  else
									  { ?>
									  	<ul class="navigation">
						                    <li class="menu-item">
						                        <a href="<?php echo esc_url(admin_url( 'nav-menus.php' )); ?> "> <?php esc_html_e('Add a menu','shree'); ?></a>
						                    </li>
						                </ul>
								<?php }		
								?>
							</div>
						</div><!-- /.navbar-collapse -->
					</div>
					<?php
					do_action('shree_header_search_action'); 
					?>
				</div>
				<?php

				do_action('shree_header_off_canvas_action'); 
				?>
			</div>
		</nav>
	</div>
